GNU bug report logs - #54852
[PATCH] gnu: Add openjdk18.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Rostislav Svoboda <rostislav.svoboda@HIDDEN>; Keywords: patch; dated Mon, 11 Apr 2022 12:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 9 May 2022 19:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 09 15:11:24 2022
Received: from localhost ([127.0.0.1]:59481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1no8mq-00033w-SA
	for submit <at> debbugs.gnu.org; Mon, 09 May 2022 15:11:23 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:52420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1no8mo-00033o-R6
 for 54852 <at> debbugs.gnu.org; Mon, 09 May 2022 15:11:15 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id UjBD270044UW6Th01jBD7r; Mon, 09 May 2022 21:11:13 +0200
Message-ID: <d1fd3fb876bd26c7dc1e9685daf362bcba43a767.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
Date: Mon, 09 May 2022 21:11:13 +0200
In-Reply-To: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-+Tke6cM/aJnJ7SLVd5+8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652123473; bh=hiH0oyO77SA9JvYPOL4cpJsxN3KfJhbp8PxQ9yh8x/8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=N1KgnxJZH3qqB7HupTH0eqcHtRaSqNDdMUQRfKpBhcL+wixYsxcTCWlxNSTv1BcD0
 iN3eQlU1w0+B/Im7GBiACeURSvHgIl3IsyeDQXAHkprVuLvS42wNyE5f7Fb2paLh9L
 90VOE0MtGYjYaFE9eBl5KPS6TBMK1bJ7bG+r8r02OrXQ7kZa2J8m1nC4xJ8lx/PllE
 74UAd5I1SL45Erq8Cn0yMKD8/eAeXvU+dPbAOk1P7c8wOZjLgIKwWLHCygtAHkiK8P
 hEWDhBE+QDh8syO+E4kMomJsC4V+4Qx7q5Pg918eZqM+sUZOBBqJp8llRp5mYKI0wM
 biicilhPX0iJg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-+Tke6cM/aJnJ7SLVd5+8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

The following simplified package definition =E2=80=98worked=E2=80=99 for me=
:

(define-public openjdk18
  (package
    (inherit openjdk17)
    (name "openjdk")
    (version "18")
    (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://github.com/openjdk/jdk18u")
                    (commit (string-append "jdk-" version "-ga"))))
              (file-name (git-file-name name version))
              (sha256
               (base32
                "1bv6bdhkmwvn10l0xy8yi9xibds640hs5zsvx0jp7wrxa3qw4qy8"))))
    (native-inputs
      (modify-inputs (package-native-inputs openjdk17)
        (replace "openjdk16:jdk" openjdk17)))
    [home-page ...]))

=E2=80=98worked=E2=80=99, because it took to long for me so I interrupted t=
he build in
the build phase.

About the labels issue: maybe "icedtea-8" could be changed to "icedtea",
"openjdkN" to "openjdk" and "openjdkN:jdk" to "openjdk:jdk" at some point
in the future, such that the package name matches the input label and
the input alist can be changed to a package list.

Greetings,
Maxime.

--=-+Tke6cM/aJnJ7SLVd5+8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnlnURccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7hQhAQDHAk4mOUdA2pRpOtJWOzIG43Ud
AlECZELeSG5EcTYJGQEA3zqBn7P8oF6hVd41DJzVSE4emDeIkLo8aGTJOo5hyAM=
=t7ci
-----END PGP SIGNATURE-----

--=-+Tke6cM/aJnJ7SLVd5+8--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 8 May 2022 16:41:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 12:41:27 2022
Received: from localhost ([127.0.0.1]:55146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnjyJ-00016A-LR
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 12:41:27 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:46062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nnjyH-00015z-FI
 for 54852 <at> debbugs.gnu.org; Sun, 08 May 2022 12:41:26 -0400
Received: from [192.168.82.254] ([188.189.178.227])
 by andre.telenet-ops.be with bizsmtp
 id UGhN2700A4ulqZY01GhPlt; Sun, 08 May 2022 18:41:23 +0200
Message-ID: <a6cdc5b94a93719e5fc9efc2a1509b193865719e.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
Date: Sun, 08 May 2022 18:41:18 +0200
In-Reply-To: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-zCgR2/G4IfkpOv59oV5U"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652028083; bh=/3q1HrOc5VNjJKkgCADFCIt/P9MY058R6D9PIe+DvqE=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=UYAXJVKxQmKmqPNclwZFfj4Q8AHO5okT0oZz89EhlWvSe/B+6w8uMMV2iAxid1f6G
 7rIf0MkW8u4xsvCjJOrM8VI/j7GTwvWDdQkSQdMiWmmQOlLmdOV8cXSCQj+xV0eaeo
 CHdW9tis0rY22lmSoGO8pEtkjPZUUBd1VRvxC8KCt1wjWlk4gGh7YibCrigKQOin6H
 uWN57+YMkRqyiXb4wU3mRRRxMsfWK+HrodHs/lTdklaMIHE+niklsQsPQv8tagS1aF
 D8pqC7qo1VnywKq1k81x2O53qnK5eBfHR6nQdeoH4Lc7UpcuPM95sfmIoZEPeDiqjO
 o+pYFRS0g+tvg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-zCgR2/G4IfkpOv59oV5U
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

How long did it take to compile openjdk@18 on your computer?  It's
taking many hours on my computer ...

--=-zCgR2/G4IfkpOv59oV5U
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnfyrhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7seMAQDJ3JcKu45NHqZeMnUnTL3KdaMM
WsoFMuvwnEcNd9hm5gD/V80/J5aninnJc0A7sT1I9XAV35LeAKsRRK3XBE5ZWQI=
=ozjM
-----END PGP SIGNATURE-----

--=-zCgR2/G4IfkpOv59oV5U--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 23 Apr 2022 16:11:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 12:11:01 2022
Received: from localhost ([127.0.0.1]:57064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niILd-0003Pn-Go
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2022 12:11:01 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:49198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1niILb-0003PX-UZ
 for 54852 <at> debbugs.gnu.org; Sat, 23 Apr 2022 12:11:00 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by albert.telenet-ops.be with bizsmtp
 id NGAw2700A4UW6Th06GAwSF; Sat, 23 Apr 2022 18:10:58 +0200
Message-ID: <a2417a9eee66d45e406c14ff78b2239e68bbf985.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Sat, 23 Apr 2022 18:10:51 +0200
In-Reply-To: <CAEtmmezkOJddukPYmFRiWi1p9D5FaYotRchJoGhCD+gPjYcELg@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
 <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
 <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
 <CAEtmmeyFCg+o6NP9DeciGQ0ewwJo4U7tETBQ7O6YLMCMKSB2LA@HIDDEN>
 <77993552c1ea4641522845b97adc8bd5d8a2691a.camel@HIDDEN>
 <CAEtmmezkOJddukPYmFRiWi1p9D5FaYotRchJoGhCD+gPjYcELg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-qYD6oAVSzjwYI6hgJHr3"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1650730258; bh=SA1YDNFQcUcsOPbNPm+j6MmlFOItuieHX1/c8Nm2Fuw=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=FsfngUUt5i9vUyp3s5+G55NyGCi+ojK65//yDP2JPeU1PTppeWh5SgPBWEUKN4jHu
 gfQcRb458xRqvQ9112CRoixx09P/SljvDfhGzJoUv1HSllnGgtP/d6BoR02DYvt4De
 PKbtNiMH8twisIDMW5pgvo32DIm0ICNS2q50pq3Kc7ciEDTj6FNlrIJcHrWI5tiV/Z
 wcGMynxASykC/NHXuDnLAlVOfyRFOxD5cA4ZKk/PKLOfAa/WILd2t1/OHrJQdoG24W
 t1KL9Fvv08Wu58I3Id8WGG7uKwkhjY35OXyHEgg5p9IdvyF2QvSq0YS9dR/2TDo2Ui
 /JvZ2kpNhTCYA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: Julien Lepiller <julien@HIDDEN>, 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-qYD6oAVSzjwYI6hgJHr3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

Um9zdGlzbGF2IFN2b2JvZGEgc2NocmVlZiBvcCB6YSAyMy0wNC0yMDIyIG9tIDE3OjExIFsrMDIw
MF06Cj4gVGhlIGxpc3RzIGBpbnB1dHNgLCBgbmF0aXZlLWlucHV0c2AgYW5kIGBwcm9wYWdhdGVk
LWlucHV0c2AgYXJlIGxpc3RzCj4gb2YgYXNzb2NpYXRpb24gbGlzdHMgdGhhdCBtYXAgaW5wdXQg
bGFiZWxzIHRvIGZpbGUgbmFtZXMuIEUuZy46Cj4KPiAobmF0aXZlLWlucHV0cwo+IMKgwqDCoMKg
IGAoKCJhdXRvY29uZiIgLGF1dG9jb25mKQo+IMKgwqDCoMKgwqDCoCAoIm9wZW5qZGsxNjpqZGsi
ICxvcGVuamRrMTYgImpkayIpCj4gwqDCoMKgwqDCoMKgICgicGtnLWNvbmZpZyIgLHBrZy1jb25m
aWcpCj4gwqDCoMKgwqDCoMKgICgidW56aXAiICx1bnppcCkKPiDCoMKgwqDCoMKgwqAgKCJ3aGlj
aCIgLHdoaWNoKQo+IMKgwqDCoMKgwqDCoCAoInppcCIgLHppcCkpKQoKTml0cGljazogJ2F1dG9j
b25mJywgJ29wZW5qZGsxNicsIC4uLiwgYXJlIHBhY2thZ2Ugb2JqZWN0cywgbm90IGZpbGUKbmFt
ZXMuCgo+IFRoZSBgcmVwbGFjZWAganVzdCByZXBsYWNlcyB0aGUgZmlsZSBuYW1lIGZvciBhIGdp
dmVuIGlucHV0IGxhYmVsIChzZWUKPiBndWl4L3BhY2thZ2VzLnNjbSwgbGluZSAxMDk5KToKPiAK
PiAoZGVmaW5lIChyZXBsYWNlLWlucHV0IG5hbWUgcmVwbGFjZW1lbnQgaW5wdXRzKQo+IMKgICJS
ZXBsYWNlIGlucHV0IE5BTUUgYnkgUkVQTEFDRU1FTlQgd2l0aGluIElOUFVUUy4iCj4gwqAgKG1h
cCAobGFtYmRhIChpbnB1dCkKPiDCoMKgwqDCoMKgwqDCoMKgIChtYXRjaCBpbnB1dAo+IMKgwqDC
oMKgwqDCoMKgwqDCoMKgICgoKD8gc3RyaW5nPyBsYWJlbCkgXyAuIG91dHB1dHMpCj4gwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoCAoaWYgKHN0cmluZz0/IGxhYmVsIG5hbWUpCj4gwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgIChtYXRjaCByZXBsYWNlbWVudMKgwqDCoMKgwqDCoMKgIDtkb2Vz
IFJFUExBQ0VNRU5UIHNwZWNpZnkgYW4gb3V0cHV0Pwo+IMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqAgKChfIF8pIChjb25zIGxhYmVsIHJlcGxhY2VtZW50KSkKPiDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgIChfwqDCoMKgwqAgKGNvbnMqIGxhYmVsIHJlcGxhY2Vt
ZW50IG91dHB1dHMpKSkKPiDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgaW5wdXQpKSkp
Cj4gwqDCoMKgwqDCoMKgIGlucHV0cykpCgpSZXBsYWNpbmcgJ2ZpbGUgbmFtZScgYnkgJ3BhY2th
Z2Ugb2JqZWN0JywgaXNuJ3QgdGhhdCB3aGF0IHdlIG5lZWQKaGVyZT8gIEZXSVcsICdyZXBsYWNl
JyBjb3VsZCBiZSBleHRlbmRlZCB0byBhbHNvIHN1cHBvcnQgbW9kaWZ5aW5nIHRoZQpvdXRwdXQs
IGJ1dCB0aGF0IGV4dHJhIGZ1bmN0aW9uYWxpdHkgZG9lc24ndCBhcHBlYXIgdG8gaGF2ZSBhbnkg
dXNlCnlldC4KCkdyZWV0aW5ncywKTWF4aW1lLgo=


--=-qYD6oAVSzjwYI6hgJHr3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYmQlDBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qq+AP9g0p/O7ll3NcEHdms6QKB/C3MY
ZYMf1haC/diXWGLjowEAh4PmKGEeWTDtYVSgYXtIEpW/IWmjsrUjj6HDGeK8Ygg=
=mE3h
-----END PGP SIGNATURE-----

--=-qYD6oAVSzjwYI6hgJHr3--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 23 Apr 2022 15:12:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 11:12:03 2022
Received: from localhost ([127.0.0.1]:56985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niHQZ-0008Ad-GK
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2022 11:12:03 -0400
Received: from mail-ed1-f48.google.com ([209.85.208.48]:41713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1niHQX-0008A7-5x
 for 54852 <at> debbugs.gnu.org; Sat, 23 Apr 2022 11:12:02 -0400
Received: by mail-ed1-f48.google.com with SMTP id d6so8608906ede.8
 for <54852 <at> debbugs.gnu.org>; Sat, 23 Apr 2022 08:12:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=A4faZ5QaSEmfvV2Cntiws+mJ6FHi8z/MwJ5YMKUlh7k=;
 b=QU3exQav3KeGVXMrcT2tALTYbgVHXKYdgqf3q1+R6CM4IyE1v08m4FrEkIszN2lLqg
 nRPD3rWqCXW9okp+eU6FaXLTD9g6opb0q6eveP5WuJUt3TUDckNw7rpw40+jK3pktaIK
 xZqK4bImhB43wZFRR8imIxDpk+hVcfr77FmjKfratZFINRir2QERiyiV1OkpbhbgdHtN
 N8dMP3LciwNAEjLHmueWeUYSJ5Ex7Op/Wk8Dil+0QIJdXDZYnFoETf8lvu+lgwvQOcB8
 RfNNL3sBeIQV+UxR4nYrRUVaRo5qykoRfAKb1kKitrC1n5Q3GuEAqa7VVsUgXp08MCur
 2enA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=A4faZ5QaSEmfvV2Cntiws+mJ6FHi8z/MwJ5YMKUlh7k=;
 b=4w7yLyLIFGVoackQO2vqOQIkODHhZs0oh/IRKgJoPinHyVatAgsfCqGf9Lw5Ya16nR
 SC9lFXmmNBnYRhqTmwC0JnTtwJvro7czIySFrSInnHdVDekf2djy0v4PFY6qIrvgCzrb
 6sHhRgnPQLh127X0ifIY16Zbr2zc+kurAiFQSc7ptF/3mTz/+gnU2Eat+QgLL6Ns+pDV
 4WVgTZYYiVopspuLnteCLLLQc3qMSuuzYwAjbeLbz0GPSqvtcJ6gvsHi+OmY6dhZD1gV
 RHf2zI22BWKdrW9mHxDouU6/mXJKemNfaA69aNLQ2IfXW7A3WTkzgaVIlzgt46STu9Bv
 LMXA==
X-Gm-Message-State: AOAM533LwbasP/g7GFPVZwU3ryH7nHVQxXqpRk8UTf0a4BJnMdgHxhb0
 HuCbC4nT+O3L4rQ5bgRx2XMpToZIqHJ07mno1To=
X-Google-Smtp-Source: ABdhPJyFZO66/0uZ5mfnwiXQhZ6oswqcwo6+CJOgvhzOnt45juAtIHMhsGRvyV3OvLPyU6hJcnumW+YDQrPaUuhLWOU=
X-Received: by 2002:a50:bae7:0:b0:425:c0fa:e0a7 with SMTP id
 x94-20020a50bae7000000b00425c0fae0a7mr8133751ede.104.1650726714847; Sat, 23
 Apr 2022 08:11:54 -0700 (PDT)
MIME-Version: 1.0
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
 <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
 <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
 <CAEtmmeyFCg+o6NP9DeciGQ0ewwJo4U7tETBQ7O6YLMCMKSB2LA@HIDDEN>
 <77993552c1ea4641522845b97adc8bd5d8a2691a.camel@HIDDEN>
In-Reply-To: <77993552c1ea4641522845b97adc8bd5d8a2691a.camel@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Sat, 23 Apr 2022 17:11:18 +0200
Message-ID: <CAEtmmezkOJddukPYmFRiWi1p9D5FaYotRchJoGhCD+gPjYcELg@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: Julien Lepiller <julien@HIDDEN>, 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> > Here, (if such a pattern repeats) we could define a new syntax
> > `substitue` in the guix/packages.scm analogical to `delete`,
> > `prepend`, `append` and `replace`.
>
> Isn't this just (modify-inputs ... (replace "..." ...))?
>
> What's the difference between 'replace' and 'substitute'?  They
> conceptually seem to be about the same to me.  And in case of
> substitute, I'm more thinking of 'substitute*' than package inputs.

The lists `inputs`, `native-inputs` and `propagated-inputs` are lists
of association lists that map input labels to file names. E.g.:

(native-inputs
     `(("autoconf" ,autoconf)
       ("openjdk16:jdk" ,openjdk16 "jdk")
       ("pkg-config" ,pkg-config)
       ("unzip" ,unzip)
       ("which" ,which)
       ("zip" ,zip)))

The `replace` just replaces the file name for a given input label (see
guix/packages.scm, line 1099):

(define (replace-input name replacement inputs)
  "Replace input NAME by REPLACEMENT within INPUTS."
  (map (lambda (input)
         (match input
           (((? string? label) _ . outputs)
            (if (string=? label name)
                (match replacement        ;does REPLACEMENT specify an output?
                  ((_ _) (cons label replacement))
                  (_     (cons* label replacement outputs)))
                input))))
       inputs))

(define-syntax replace
  (lambda (s)
    (syntax-violation 'replace
                      "'replace' may only be used within 'modify-inputs'"
                      s)))

See also https://guix.gnu.org/en/blog/2021/the-big-change/

> I'm more thinking of 'substitute*' than package inputs.

That thing which I named `substitute` doesn't exist. I was just
contemplating that we could write it, if we want to change the whole
association list, i.e. the pair input label & file name, not just the
file name. (And when I think about it again, such a name will lead to
confusion. So nah, forget about it.)

Cheers
Bost




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 23 Apr 2022 14:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 10:38:28 2022
Received: from localhost ([127.0.0.1]:56905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1niGu3-0002rK-VO
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2022 10:38:28 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:50074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1niGu2-0002rB-GL
 for 54852 <at> debbugs.gnu.org; Sat, 23 Apr 2022 10:38:27 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id NEeN2700g4UW6Th01EePQM; Sat, 23 Apr 2022 16:38:24 +0200
Message-ID: <77993552c1ea4641522845b97adc8bd5d8a2691a.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Sat, 23 Apr 2022 16:38:17 +0200
In-Reply-To: <CAEtmmeyFCg+o6NP9DeciGQ0ewwJo4U7tETBQ7O6YLMCMKSB2LA@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
 <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
 <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
 <CAEtmmeyFCg+o6NP9DeciGQ0ewwJo4U7tETBQ7O6YLMCMKSB2LA@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-RalN6FvxpySJWzn6bCc0"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1650724704; bh=n1kbwsUEzK6iOoxcKNxybQjV7LFPPbUqjaz19qEs5EI=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=LXZZQg2e6DsexabIhMOAGwozXBIXHdQDPH1mhwep0xY5IXJNE4kwcoxfwXcEyNz/K
 AGDzAubY+qyT9j1hR0mERjt0Su3/337ZJf4sg7JnndcT7Wd63afjyBegOGKQTHDjrC
 HR0xcexFAPAt0FTtaMTw8i7taNhk7WjRP74J84M21aLpxXL/ahNXTX5fP6zB4mVWBn
 k94qrn7hM1+ZLfwWv1aNchwgfWBhWAqVQzP8iZgUyh6VWxzpae4y1EAezSrKH7nAuA
 J66BaWcevl9zK//UlxBlBe0b6FbXt+6CwC579nXNxYK1fOEGrZQxiVL6Iw3h0Yab3c
 yAxoBwcHGDBVg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: Julien Lepiller <julien@HIDDEN>, 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-RalN6FvxpySJWzn6bCc0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Rostislav Svoboda schreef op vr 22-04-2022 om 12:59 [+0200]:
> > Is something like
> >=20
> > =C2=A0=C2=A0 (modify-inputs (package-native-inputs opendjk17)
> > =C2=A0=C2=A0=C2=A0=C2=A0 (replace "openjdk16:jdk" openjdk17))
> >=20
> > possible?
>=20
> I think more appropriate would be:
>=20
> (modify-inputs (package-native-inputs openjdk17)
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (replace "openjdk16:jdk" `(,openjdk17 "jdk=
")))
>=20
> however that would mean to assign a value Y to a variable named
> "I-represent-a-value-of-X". So hmm, better not this way.
>=20
> I personally prefer the:
>=20
> (native-inputs
> =C2=A0=C2=A0=C2=A0=C2=A0 (map (lambda (input)
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (match=
 (car input)
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 ("openjdk16:jdk" `("openjdk17:jdk" ,openjdk17 "jdk"))
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (_ input)))
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (package-native-in=
puts openjdk17)))
>=20
> variant. IMO it better expresses the idea of substitution.
>=20
> Here, (if such a pattern repeats) we could define a new syntax
> `substitue` in the guix/packages.scm analogical to `delete`,
> `prepend`, `append` and `replace`.

Isn't this just (modify-inputs ... (replace "..." ...))?

What's the difference between 'replace' and 'substitute'?  They
conceptually seem to be about the same to me.  And in case of
substitute, I'm more thinking of 'substitute*' than package inputs.

Greetings,
Maxime.

--=-RalN6FvxpySJWzn6bCc0
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYmQPWRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rbDAP965Lg0A2ilI1uJJRJjxvfVbsWe
s0GAuvl4ErCC0pT8XAD/XN0a0YhjSG+GDcOfOAfOpZ3M+ASjUI0XQBvsISEQZgI=
=DAfq
-----END PGP SIGNATURE-----

--=-RalN6FvxpySJWzn6bCc0--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 22 Apr 2022 11:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 07:00:20 2022
Received: from localhost ([127.0.0.1]:51563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhr1Q-0003lD-58
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2022 07:00:20 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:47025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1nhr1O-0003ku-Fh
 for 54852 <at> debbugs.gnu.org; Fri, 22 Apr 2022 07:00:19 -0400
Received: by mail-ed1-f52.google.com with SMTP id g23so2961407edy.13
 for <54852 <at> debbugs.gnu.org>; Fri, 22 Apr 2022 04:00:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=OtD70efVjuoewe7qMXTFfYESxJEBkXs8gFGi7NrIXJk=;
 b=Cp8VhSJ2J69KOlUYGu4//fVhRKx4QJ1glXSWVJ3N+KSJ9WI6dN4owvzTsqPUQWM2hA
 b8VF+bMzoRBS39zwMUPv3PeiEBzZaaQHairxUj+fHnn8AOd4nYrAFRoa+uWEX95fgSR0
 Qhuma2eTuZxJx+Oi5rmHXl6PsOnWVeDGKe/hTHLa04/EHl5/4tqAzDDVFvkyHOMU+JTv
 506kAdYPhN7+GdHoEjifdSE/FXoCPDqWQiZPfxJOKh4wJB/x/3zR//0pf3V6EzPCBcua
 6345UdrDhBlTMKX1AvTxW4xkUYK7JKFwjXi5gG8JuPBjRSWm2rJemWJxhj4RJVMfycgv
 G+ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=OtD70efVjuoewe7qMXTFfYESxJEBkXs8gFGi7NrIXJk=;
 b=M2m4UUaYZsDYBQgUSvXVFcWLrhP0+ZJR2WrL+djvCzlbHAXd0zwqqbL/kVmaY+DY9I
 grAEbzkjObXHU511J5wG7kqehChJiY3iMozqhFm2m06M3FCZFyJ4Hg4uXjmzdebnuuWu
 Lltpyod0TM3l5vViBjj9vhan5TMiQCiyv3S/2bwqwomqeN6RUNTwmB4z/KIn5YJmLWno
 AF67Z53eDQl3L0eLDIJHP7BfOmGl5DnwTKHAutKOD40QWRV0udLYXXnVAm2QOtJNpIj2
 FSlVKJzSO5ydhX4hs6cScNU9vTvEUGHDaWCY6dvVv37GXMg8G3SkYAo6xOs8xcKCP0SG
 PueA==
X-Gm-Message-State: AOAM530XPds4wlhJwGClpd66aoQPAxSCdlbyeK+pamQTJ9LaVDhPAU50
 HDCaJYMq1u9tbFivF2tulJULyhiIdaeq3eb5cN4=
X-Google-Smtp-Source: ABdhPJxd5v7LiN2pURGC2fdbmip6KU/5dQNhPybnAGBJnCplpTsJ02D0ss7YF3OeNbGEcBOcKMppg4ldm7EjCQ8k+QA=
X-Received: by 2002:a05:6402:51d2:b0:424:536:94dd with SMTP id
 r18-20020a05640251d200b00424053694ddmr4160456edd.191.1650625212396; Fri, 22
 Apr 2022 04:00:12 -0700 (PDT)
MIME-Version: 1.0
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
 <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
 <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
In-Reply-To: <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Fri, 22 Apr 2022 12:59:35 +0200
Message-ID: <CAEtmmeyFCg+o6NP9DeciGQ0ewwJo4U7tETBQ7O6YLMCMKSB2LA@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: Julien Lepiller <julien@HIDDEN>, 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Is something like
>
>   (modify-inputs (package-native-inputs opendjk17)
>     (replace "openjdk16:jdk" openjdk17))
>
> possible?

I think more appropriate would be:

(modify-inputs (package-native-inputs openjdk17)
      (replace "openjdk16:jdk" `(,openjdk17 "jdk")))

however that would mean to assign a value Y to a variable named
"I-represent-a-value-of-X". So hmm, better not this way.

I personally prefer the:

(native-inputs
     (map (lambda (input)
            (match (car input)
              ("openjdk16:jdk" `("openjdk17:jdk" ,openjdk17 "jdk"))
              (_ input)))
          (package-native-inputs openjdk17)))

variant. IMO it better expresses the idea of substitution.

Here, (if such a pattern repeats) we could define a new syntax
`substitue` in the guix/packages.scm analogical to `delete`,
`prepend`, `append` and `replace`.

Cheers
Bost




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 21 Apr 2022 16:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 12:39:00 2022
Received: from localhost ([127.0.0.1]:50860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhZpb-0006Mf-Pr
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 12:38:59 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:58252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nhZpa-0006MX-Hw
 for 54852 <at> debbugs.gnu.org; Thu, 21 Apr 2022 12:38:59 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id MUev2700A4UW6Th01Uevu1; Thu, 21 Apr 2022 18:38:57 +0200
Message-ID: <3878c34d8b9b52c6a618bb47ff3a3142f3d55c9f.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, Julien Lepiller
 <julien@HIDDEN>
Date: Thu, 21 Apr 2022 18:38:50 +0200
In-Reply-To: <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
 <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-2gpTQ/r5bscDVNd6p2Ol"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1650559137; bh=FJWbDnOJFq1O/62NzfB6Zbxvcs/usDKsRKjBN4PuM4Y=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=YTebxYorISqix1/BSpvNU/oIHIP/gD+e+8/LU61Oh+NVO851RPGokSQz48WMjyE6N
 2YYyyF/AG7jownp5bzFyuzpYHQCrr0zOc+qD3HPqKvTq6XPNW859iBhXw9qytA6t4W
 fSF3k6M7DAA3+i0fBSXTjY6M73F6iR2nvlbLxy8TCB5q/nd6VBMJmkZMZyTUYxscwn
 1vfH6rCYMp1RnbAaM0aorzqo3wD3/GecobhdJq0eYDmsntE0bqcqYjJhzUKHB/XKew
 IPXDOzGMbV7kqdd0QS23Jspp/L+AfzxTgEs+0S5VHOSkNI1Kd0lwW1ChsfmkkqYFJv
 CP+JkoUPvC/5A==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-2gpTQ/r5bscDVNd6p2Ol
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Rostislav Svoboda schreef op do 21-04-2022 om 12:27 [+0200]:
> or by:
>=20
> (native-inputs
> =C2=A0=C2=A0=C2=A0=C2=A0 (modify-inputs (append (package-native-inputs op=
enjdk17)
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0 `(("openjdk17:jdk" ,openjdk17 "jdk")))
> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (delete "openjdk16:jdk")))
>=20
> Which one do you like more?

Is something like

  (modify-inputs (package-native-inputs opendjk17)
    (replace "openjdk16:jdk" openjdk17))

possible?

--=-2gpTQ/r5bscDVNd6p2Ol
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYmGImhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7rqAAP48GOuyHlktuRugtUQcPbWyZf2O
wgF2NKmsz3Lo6w0rfAD8DlE8eRyIyrQz0mI8Ho2pQz1OiuzWpNXInjY5DyK6rQs=
=F5AU
-----END PGP SIGNATURE-----

--=-2gpTQ/r5bscDVNd6p2Ol--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 21 Apr 2022 10:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 21 06:28:28 2022
Received: from localhost ([127.0.0.1]:48470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhU32-0007sq-G1
	for submit <at> debbugs.gnu.org; Thu, 21 Apr 2022 06:28:28 -0400
Received: from mail-ej1-f43.google.com ([209.85.218.43]:39849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1nhU30-0007sa-8W
 for 54852 <at> debbugs.gnu.org; Thu, 21 Apr 2022 06:28:26 -0400
Received: by mail-ej1-f43.google.com with SMTP id bv19so9058422ejb.6
 for <54852 <at> debbugs.gnu.org>; Thu, 21 Apr 2022 03:28:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=K7typDepS0bvy644l9R8LWxoO8Z3y8bSsh222pyhvr0=;
 b=D16fYEDuww7plk+8aXcFJ8mSBF/YkPFSO+NNEnOwBS3MMl/fBmYEGJCh3wmjLw3cRp
 C/cztfrbe6LdTX/2xcJMFn79ipY/KNgHLtWsq6zNDHTm5MqVjxyB9aNCq2QZP2bkWDhN
 sreUr9g/nCR+/oG6+8vPUbPQJWeoCqsqpcaGjbNtak/kaZ3Ft/loUQgiyt+1MHN3zBwx
 qI5gLDpiaR3W22QcT8NEM/xE/bYnH7M6nZ13H2c1AzYZE+2/CiAodtQuIGTcq0XdmBAf
 RZATlGj/ZpQsZb73+HtRtQ9KmVyugzPLGNDOtfbryAzredlrXYhNKyN18krNFWHuYKLy
 lR4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=K7typDepS0bvy644l9R8LWxoO8Z3y8bSsh222pyhvr0=;
 b=5VZQvpoqR2ntBHvPyGtNwOyDK69VVf5XHiy3FOZZ9lRkYZxLJJZPBQjRv39VzOav44
 yfs8RjAPm+swroKS0k40W+08CaCVU2I9J70sfnj9Kln5xz88pgwedD/+RoN+3VP42MKK
 AfB26GJZzbspLYuQBQEmxlTZOE7oYc77gPj3D3xkzYlEyFMtWbDWWeBxEDcB3tOwm2Ff
 0HexPQzx1GplID6HlTPC08kpsrggxJTszWHFZ0JnqoNSreXJLGkAocxvLJH3/P0VZagd
 Pk8bS+a/ML/2+6/GizpR4BUa+M1iJfMd+KXRSKrmDSKORatMFKVIMEhdFgG0etdm+Sj7
 6t3w==
X-Gm-Message-State: AOAM5322gLCiH2ffInRSeFs51g4t4kps485zWP/uODW708vESlxJao/Y
 XuOsACZUrgwaUwIy5+uKUYjuqqylfSc12UXL2PI=
X-Google-Smtp-Source: ABdhPJy0Z374qcFjgZNpec9wLIQ+1hIR6NKRL3ENM54+ZLhVC3GBQc+YjTbdX+HjXHHMz0k2JaugKxFy8ExGNpPx0jU=
X-Received: by 2002:a17:906:52c7:b0:6ce:a880:50a3 with SMTP id
 w7-20020a17090652c700b006cea88050a3mr22086917ejn.437.1650536900071; Thu, 21
 Apr 2022 03:28:20 -0700 (PDT)
MIME-Version: 1.0
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
 <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
In-Reply-To: <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Thu, 21 Apr 2022 12:27:43 +0200
Message-ID: <CAEtmmeyRyj8jj6-B1XB_z=cBA=M_xd69oS8wtdJ8YthS8Nkejw@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
To: Maxime Devos <maximedevos@HIDDEN>, Julien Lepiller <julien@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le mar. 12 avr. 2022 =C3=A0 15:24, Rostislav Svoboda
<rostislav.svoboda@HIDDEN> a =C3=A9crit :
> +    (native-inputs
> +     `(("autoconf" ,autoconf)
> +       ("openjdk17:jdk" ,openjdk17 "jdk")
> +       ("pkg-config" ,pkg-config)
> +       ("unzip" ,unzip)
> +       ("which" ,which)
> +       ("zip" ,zip)))

And it looks like even this part can be deduplicated. Either by:

(native-inputs
     (map (lambda (input)
            (match (car input)
              ("openjdk16:jdk" `("openjdk17:jdk" ,openjdk17 "jdk"))
              (_ input)))
          (package-native-inputs openjdk17)))

or by:

(native-inputs
     (modify-inputs (append (package-native-inputs openjdk17)
                            `(("openjdk17:jdk" ,openjdk17 "jdk")))
       (delete "openjdk16:jdk")))

Which one do you like more?

Cheers
Bost




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 13 Apr 2022 07:51:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 13 03:51:38 2022
Received: from localhost ([127.0.0.1]:51483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neXms-0000oj-0I
	for submit <at> debbugs.gnu.org; Wed, 13 Apr 2022 03:51:38 -0400
Received: from m4s11.vlinux.de ([83.151.27.109]:49884 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1neXmq-0000oa-G4
 for 54852 <at> debbugs.gnu.org; Wed, 13 Apr 2022 03:51:36 -0400
Received: from alma-ubu (aftr-185-17-204-215.dynamic.mnet-online.de
 [185.17.204.215])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 010E33FD00;
 Wed, 13 Apr 2022 09:51:34 +0200 (CEST)
Date: Wed, 13 Apr 2022 09:51:30 +0200
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
Message-ID: <20220413095130.32e5e14a@alma-ubu>
In-Reply-To: <0A4C69EF-B0AA-4B99-AFC5-44C6602E7305@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <0A4C69EF-B0AA-4B99-AFC5-44C6602E7305@HIDDEN>
X-Mailer: Claws Mail 3.17.5 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/xVCmQgq2/im7+vsxova1p0b";
 protocol="application/pgp-signature"; micalg=pgp-sha512
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 54852
Cc: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/xVCmQgq2/im7+vsxova1p0b
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi,

On Mon, 11 Apr 2022 16:15:46 +0200
Julien Lepiller <julien@HIDDEN> wrote:

=20
> I can't build and test because of my limited bandwidth. Hopefully
> another maintainer can rur the tests and maybe push if my issues
> aren't solved soon=E2=80=A6

I tried but stumbled upon some limits:

/gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8/bin/bash: fo=
rk: retry: Resource temporarily unavailable
g++: fatal error: cannot execute '/gnu/store/069aq2v993kpc41yabp5b6vm4wb9jk=
hg-gcc-10.3.0/libexec/gcc/x86_64-unknown-linux-gnu/10.3.0/cc1plus': vfork: =
Resource temporarily unavailable
compilation terminated.

Is this in my shell or on the daemon? How can I increase it?

Not sure if I'm faster than your download, but let's see ...

Bj=C3=B6rn

--Sig_/xVCmQgq2/im7+vsxova1p0b
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EAREKAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCYlaBAgAKCRC/KGy2WT5f
/a08AKCWoqvL3kZlGRg7c2f3u+3AJSmMmgCdF0spDTnbVNqJ8uTP+EOJGVBBnXU=
=NojS
-----END PGP SIGNATURE-----

--Sig_/xVCmQgq2/im7+vsxova1p0b--




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 12 Apr 2022 13:25:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 12 09:25:16 2022
Received: from localhost ([127.0.0.1]:48021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neGWB-00012J-Md
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2022 09:25:16 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:39541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1neGW9-000120-1o
 for 54852 <at> debbugs.gnu.org; Tue, 12 Apr 2022 09:25:14 -0400
Received: by mail-ej1-f46.google.com with SMTP id bv19so14314473ejb.6
 for <54852 <at> debbugs.gnu.org>; Tue, 12 Apr 2022 06:25:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=2YaMG7IZJLdgoFMRs8QyVxQLPq93WJI0PbSebXzcfU0=;
 b=Vrn9fQSGwd9U5eqqKkfP5GP1SyWMIv1AiMCsMwweD34ZZpaHDX1yWz/w+oknc914fx
 q0k4vWJBae1jLu6qFmQ8JlnsdRnP2vlTEUVx/Sns6hH93na23dFseMwmWeU78Vj8GpVQ
 S3V4Pf14irYDiJ1pyg4HLicIEjRusgTBQWJxJD94/7S/q13y8tiBeqwRS424tpUBzWNx
 9PXWCexk3A4SVj28fOp8KbXqP/YB+EzTwcKIG07Jma5qA3Zf0curILpYWCzFjEZC9vtU
 ECBZK/SnKmkx0sReVTT/L1vJSGBJj5mx9RX1cCpO5/p5InSKkpHylfTAkVbQ4a7he5y/
 LODQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=2YaMG7IZJLdgoFMRs8QyVxQLPq93WJI0PbSebXzcfU0=;
 b=TH4MZzXqsYsia2aASc+disvvP0sBcGL2yUV5Ecfc6xdxBPygDKaKmwnnyZYHw333Wk
 HpQhghVKaYVZ+YUw+m+WMhWfJJUkUbeivmCteQ04MWfj1vhTCeVEvTCV1RJz+dYFHYHm
 ENWQnH0DycMYOWwy7htmmJEJ55G943AMJocnk//JNXq3alsTtU8KkTD7lmi1KNmWHxhu
 bWEM9W0rUIxbFSzgQB5xGFdDMCXNWtNrDIXDPQhFGqA8i9ldayX691+vg9s3ud1K+W67
 3GSU1SR0ZGdH4vDch5nEyUKIFpMF2x9BnTA/grkvWsSWOzkfDoHMMh6C1BdovEepF7YY
 V67A==
X-Gm-Message-State: AOAM531PTKw98+qvec020IpJFS220SjQ59wQOOr+SEwe4l6OZocT9U5x
 S0U1jhWlAGjGizzRgzdSdHBuDa6bfeI/YVYmwPc=
X-Google-Smtp-Source: ABdhPJx3KUgo3YLLjlQaLFkGsgN4A+kZfQBXulBVMW+u/uwUkrpxhaw5t48iPRKFwZISE1nJLMWaMLaHwckp0FmiWao=
X-Received: by 2002:a17:907:6297:b0:6da:6388:dc58 with SMTP id
 nd23-20020a170907629700b006da6388dc58mr35387391ejc.472.1649769906983; Tue, 12
 Apr 2022 06:25:06 -0700 (PDT)
MIME-Version: 1.0
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
In-Reply-To: <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Tue, 12 Apr 2022 15:24:30 +0200
Message-ID: <CAEtmmezbF7sKtaWTKjfO+7V2nE1yLkAdAV6UKomtce_69Q=RnQ@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
To: Maxime Devos <maximedevos@HIDDEN>, Julien Lepiller <julien@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le lun. 11 avr. 2022 =C3=A0 15:44, Maxime Devos <maximedevos@HIDDEN> a =
=C3=A9crit :
> > +    (arguments
> > +     (substitute-keyword-arguments (package-arguments openjdk16)
> > +       ((#:phases phases)
> > +        `(modify-phases ,phases
> > +           (replace 'fix-java-shebangs
> > +             (lambda _
> > +               ;; This file was "fixed" by patch-source-shebangs, but =
it requires
> > +               ;; this exact first line.
> > +               (substitute* "make/data/blockedcertsconverter/blocked.c=
erts.pem"
> > +                 (("^#!.*") "#! java BlockedCertsConverter SHA-256\n")=
)))))))
>
> Why is this duplicated?  It is exactly the same phase as for openjdk17,
> so inherit should take care of it.

Le lun. 11 avr. 2022 =C3=A0 16:16, Julien Lepiller <julien@HIDDEN> a =
=C3=A9crit :
> The patch looks great, but I wonder why you need to change che phases to =
tomething that looks like openjdk 17's phases? Am I missing something? Woul=
dn't it work without any change to the arguments?

You're both right. We don't need that. (Sorry) I'm sending correction below=
.

Cheers
Bost


From 543aa7797308ea66d1d1140e72a48908a2e73419 Mon Sep 17 00:00:00 2001
From: Rostislav Svoboda <Rostislav.Svoboda@HIDDEN>
Date: Mon, 11 Apr 2022 11:55:55 +0200
Subject: [PATCH] gnu: Add openjdk18.

---
 gnu/packages/java.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 6738b5dc35..ec0b956388 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -2263,6 +2263,29 @@ (define-public openjdk17
                  (("^#!.*") "#! java BlockedCertsConverter SHA-256\n")))))=
)))
     (home-page "https://openjdk.java.net/projects/jdk/17")))

+(define-public openjdk18
+  (package
+    (inherit openjdk17)
+    (name "openjdk")
+    (version "18")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/openjdk/jdk18u")
+                    (commit (string-append "jdk-" version "-ga"))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1bv6bdhkmwvn10l0xy8yi9xibds640hs5zsvx0jp7wrxa3qw4qy8"))))
+    (native-inputs
+     `(("autoconf" ,autoconf)
+       ("openjdk17:jdk" ,openjdk17 "jdk")
+       ("pkg-config" ,pkg-config)
+       ("unzip" ,unzip)
+       ("which" ,which)
+       ("zip" ,zip)))
+    (home-page "https://openjdk.java.net/projects/jdk/18")))
+
 (define-public icedtea icedtea-8)


--=20
2.35.1




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 12 Apr 2022 13:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 12 09:03:55 2022
Received: from localhost ([127.0.0.1]:47955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neGBT-0000Nw-ON
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2022 09:03:54 -0400
Received: from mail-ed1-f45.google.com ([209.85.208.45]:46718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1neGBR-0000Ng-Gk
 for 54852 <at> debbugs.gnu.org; Tue, 12 Apr 2022 09:03:50 -0400
Received: by mail-ed1-f45.google.com with SMTP id w18so22220565edi.13
 for <54852 <at> debbugs.gnu.org>; Tue, 12 Apr 2022 06:03:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BTlXJFjZIjZPj3GJc2lgLQGpj7RVjNV8BFNVQNPUATY=;
 b=dANRpFZT9oKTddQSBU9hMSNNeLOV+U8uTpTKEZJtyV6mLbKV08VlIiw4rMe61aOO4f
 fGAgXMA43Hxf1eEwEAn0goGvAR/EGBk5LQZv+8Vl3PPdEmMomdIa1ulcosa3v+JUokFe
 5wqx+ya/MdeT+yULeejdml44hQKhYk6843rNlic5eKrKSqCABCgfh/CUcXymwE+G5y9+
 NTzIqEGrUGGDgAS7j4anvZlg3XyD68UhrFSLW6HZpMrhNfa51mdWGsq/WlLqR0Jklp2h
 H2nudnNU9umXKt3NyvrPFAxVCMW39aPc9B1u94Qhj4tfWzMwojAjFUx+GuoYQYAM1hCN
 JveA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BTlXJFjZIjZPj3GJc2lgLQGpj7RVjNV8BFNVQNPUATY=;
 b=gTz7ms9s/cDWxgdcpZ02TRFrYaveQ9mYflThAKGFWrlbRfhBhM5Ta7qf9nNKeN7t9r
 WaXLp3EzrzjqnEWIVUDoWKpx9/HFevHjW4yKAPJcjmZIW51y7vFJcES5ayTIRgqMFwk4
 o2BCTCqvcoqyWyDhw4mCsDeDI8M3N7lfeLBaV/Od0F6gSP4Wiv18NsAjToe4e2j8c3OW
 nIXOW9FJh7GU5DNbMV3hEZVPLxH+e8arKhbYsxAQlWbAHapAmZP/VBmOwigHIaPYjJN8
 mmhpW8c/GqybaV2eVkqmdClILb+/ivvqH+FsQhBlMrSdooVsZayQhx4EZhrygxr8+KLh
 u2eQ==
X-Gm-Message-State: AOAM532eenAqvZ3vzhDf1d0kyeJUobnWB7j3zwTpUtB9SB+kz7i1/thr
 VbbyMJlBLErNTSzuhCUZKtnlf4jjkDNjy9OKS3I=
X-Google-Smtp-Source: ABdhPJw0s9TVMDoLENtVlEQB9Io930EG2XwPKiipMrMkNdr239updpLnANJtkMoNf4FkvlWYL17dvC1e/2fuqTtM5zM=
X-Received: by 2002:a05:6402:278d:b0:419:3794:de39 with SMTP id
 b13-20020a056402278d00b004193794de39mr38588197ede.137.1649768623413; Tue, 12
 Apr 2022 06:03:43 -0700 (PDT)
MIME-Version: 1.0
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
 <e781bf550c921f40077881903271a6e09d01837f.camel@HIDDEN>
In-Reply-To: <e781bf550c921f40077881903271a6e09d01837f.camel@HIDDEN>
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
Date: Tue, 12 Apr 2022 15:03:06 +0200
Message-ID: <CAEtmmezw36LEg-K+098qJNPXooxi40F+TaqcP7VV45AB8z_jxg@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
Cc: 54852 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Rostislav Svoboda schreef op ma 11-04-2022 om 14:53 [+0200]:
> > +    (native-inputs
> > +     `(("autoconf" ,autoconf)
> > +       ("openjdk17:jdk" ,openjdk17 "jdk")
>
> Does it need openjdk17 to build, or would openjdk16 suffice?
> That would avoid increasing the bootstrap chain length.

Having
       ("openjdk16:jdk" ,openjdk16 "jdk")

leads to:

configure: Found potential Boot JDK using java(c) in PATH
configure: Potential Boot JDK found at
/gnu/store/j9lyv24nkwgznddiqfv29j2czfn15a9b-openjdk-16.0.1-jdk is
incorrect JDK version (openjdk version "16.0.1" 2021-04-20 OpenJDK
Runtime Environment (build 16.0.1+0-adhoc..source) OpenJDK 64-Bit
Server VM (build 16.0.1+0-adhoc..source, mixed mode, sharing));
ignoring
configure: (Your Boot JDK version must be one of: 17 18)
configure: Could not find a valid Boot JDK. OpenJDK distributions are
available at http://jdk.java.net/.
configure: This might be fixed by explicitly setting --with-boot-jdk
configure: error: Cannot continue

Cheers
Bost




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 11 Apr 2022 14:16:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 11 10:16:41 2022
Received: from localhost ([127.0.0.1]:44915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nduqP-00006Z-8u
	for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 10:16:41 -0400
Received: from lepiller.eu ([89.234.186.109]:33124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1nduqM-00006L-49
 for 54852 <at> debbugs.gnu.org; Mon, 11 Apr 2022 10:16:40 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id e9705004;
 Mon, 11 Apr 2022 14:16:33 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=LDGWtJ/ZL6rf
 QoJ/ko+ZZiMxeoJ74KeiFsECbJzClSE=; b=n6Ppt7gQqJG78oU6t2ZhTkLmQy3L
 z2FeQq/mxnRBYnIsrE4DU6v1/mvVK4YgnGkIB6dg9oTG3biguSQBupU7+naOh84l
 4y8gElAS0I6FBnLRgCC1W+wIanfQ0zLS94GXXuG83xKy9ujkgBM+YO0Fxs/t7jBr
 nFh2yQiSgYo5GShbOL/greDZjwEs4Iu9ycPV6kobQyTRCpoQbu1DyYy2/jqpd6DS
 +v7SBB0Eef6YgY6W3HpV/RWYwQuADg6kn1Nrn/x6A7vIe/bBCFXtbep7nC0KKVwN
 S78MLxEweNA7i9sE5mL3so0KD/1uM9gpDdZNeV6rqOI6ROApKNSo+q7K6A==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id c2e59898
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 11 Apr 2022 14:16:32 +0000 (UTC)
Date: Mon, 11 Apr 2022 16:15:46 +0200
From: Julien Lepiller <julien@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
User-Agent: K-9 Mail for Android
In-Reply-To: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
Message-ID: <0A4C69EF-B0AA-4B99-AFC5-44C6602E7305@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary=----1RCFYM5FSLGULW8ZSAHCN6SD0PGQA6
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------1RCFYM5FSLGULW8ZSAHCN6SD0PGQA6
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi!

The patch looks great, but I wonder why you need to change che phases to t=
omething that looks like openjdk 17's phases? Am I missing something? Would=
n't it work without any change to the arguments?

I can't build and test because of my limited bandwidth=2E Hopefully anothe=
r maintainer can rur the tests and maybe push if my issues aren't solved so=
on=E2=80=A6

On April 11, 2022 2:53:35 PM GMT+02:00, Rostislav Svoboda <rostislav=2Esvo=
boda@gmail=2Ecom> wrote:
>---
> gnu/packages/java=2Escm | 33 +++++++++++++++++++++++++++++++++
> 1 file changed, 33 insertions(+)
>
>diff --git a/gnu/packages/java=2Escm b/gnu/packages/java=2Escm
>index 6738b5dc35=2E=2E10c84d2973 100644
>--- a/gnu/packages/java=2Escm
>+++ b/gnu/packages/java=2Escm
>@@ -2263,6 +2263,39 @@ (define-public openjdk17
>                  (("^#!=2E*") "#! java BlockedCertsConverter SHA-256\n")=
)))))))
>     (home-page "https://openjdk=2Ejava=2Enet/projects/jdk/17")))
>=20
>+(define-public openjdk18
>+  (package
>+    (inherit openjdk17)
>+    (name "openjdk")
>+    (version "18")
>+    (source (origin
>+              (method git-fetch)
>+              (uri (git-reference
>+                    (url "https://github=2Ecom/openjdk/jdk18u")
>+                    (commit (string-append "jdk-" version "-ga"))))
>+              (file-name (git-file-name name version))
>+              (sha256
>+               (base32
>+                "1bv6bdhkmwvn10l0xy8yi9xibds640hs5zsvx0jp7wrxa3qw4qy8"))=
))
>+    (native-inputs
>+     `(("autoconf" ,autoconf)
>+       ("openjdk17:jdk" ,openjdk17 "jdk")
>+       ("pkg-config" ,pkg-config)
>+       ("unzip" ,unzip)
>+       ("which" ,which)
>+       ("zip" ,zip)))
>+    (arguments
>+     (substitute-keyword-arguments (package-arguments openjdk16)
>+       ((#:phases phases)
>+        `(modify-phases ,phases
>+           (replace 'fix-java-shebangs
>+             (lambda _
>+               ;; This file was "fixed" by patch-source-shebangs, but it=
 requires
>+               ;; this exact first line=2E
>+               (substitute* "make/data/blockedcertsconverter/blocked=2Ec=
erts=2Epem"
>+                 (("^#!=2E*") "#! java BlockedCertsConverter SHA-256\n")=
)))))))
>+    (home-page "https://openjdk=2Ejava=2Enet/projects/jdk/18")))
>+
> (define-public icedtea icedtea-8)
>=20
> =0C>
>--=20
>2=2E35=2E1
>
>
>
>

------1RCFYM5FSLGULW8ZSAHCN6SD0PGQA6
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>Hi!<br><br>The patch looks great, but I wonder why=
 you need to change che phases to tomething that looks like openjdk 17's ph=
ases? Am I missing something? Wouldn't it work without any change to the ar=
guments?<br><br>I can't build and test because of my limited bandwidth=2E H=
opefully another maintainer can rur the tests and maybe push if my issues a=
ren't solved soon=E2=80=A6<br><br><div class=3D"gmail_quote">On April 11, 2=
022 2:53:35 PM GMT+02:00, Rostislav Svoboda &lt;rostislav=2Esvoboda@gmail=
=2Ecom&gt; wrote:<blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt=
 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;=
">
<pre dir=3D"auto" class=3D"k9mail"><hr> gnu/packages/java=2Escm | 33 +++++=
++++++++++++++++++++++++++++<br> 1 file changed, 33 insertions(+)<br><br>di=
ff --git a/gnu/packages/java=2Escm b/gnu/packages/java=2Escm<br>index 6738b=
5dc35=2E=2E10c84d2973 100644<br>--- a/gnu/packages/java=2Escm<br>+++ b/gnu/=
packages/java=2Escm<br>@@ -2263,6 +2263,39 @@ (define-public openjdk17<br> =
                 (("^#!=2E*") "#! java BlockedCertsConverter SHA-256\n"))))=
))))<br>     (home-page "https://openjdk=2Ejava=2Enet/projects/jdk/17")))<b=
r> <br>+(define-public openjdk18<br>+  (package<br>+    (inherit openjdk17)=
<br>+    (name "openjdk")<br>+    (version "18")<br>+    (source (origin<br=
>+              (method git-fetch)<br>+              (uri (git-reference<br=
>+                    (url "https://github=2Ecom/openjdk/jdk18u")<br>+     =
               (commit (string-append "jdk-" version "-ga"))))<br>+        =
      (file-name (git-file-name name version))<br>+              (sha256<br=
>+               (base32<br>+                "1bv6bdhkmwvn10l0xy8yi9xibds64=
0hs5zsvx0jp7wrxa3qw4qy8"))))<br>+    (native-inputs<br>+     `(("autoconf" =
,autoconf)<br>+       ("openjdk17:jdk" ,openjdk17 "jdk")<br>+       ("pkg-c=
onfig" ,pkg-config)<br>+       ("unzip" ,unzip)<br>+       ("which" ,which)=
<br>+       ("zip" ,zip)))<br>+    (arguments<br>+     (substitute-keyword-=
arguments (package-arguments openjdk16)<br>+       ((#:phases phases)<br>+ =
       `(modify-phases ,phases<br>+           (replace 'fix-java-shebangs<b=
r>+             (lambda _<br>+               ;; This file was "fixed" by pa=
tch-source-shebangs, but it requires<br>+               ;; this exact first=
 line=2E<br>+               (substitute* "make/data/blockedcertsconverter/b=
locked=2Ecerts=2Epem"<br>+                 (("^#!=2E*") "#! java BlockedCer=
tsConverter SHA-256\n"))))))))<br>+    (home-page "https://openjdk=2Ejava=
=2Enet/projects/jdk/18")))<br>+<br> (define-public icedtea icedtea-8)<br> <=
br> =0C<br><div class=3D"k9mail-signature">-- <br>2=2E35=2E1<br><br><br><br=
><br></div></pre></blockquote></div></body></html>
------1RCFYM5FSLGULW8ZSAHCN6SD0PGQA6--




Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 11 Apr 2022 13:44:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 11 09:44:39 2022
Received: from localhost ([127.0.0.1]:43102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nduLP-00071o-7Z
	for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 09:44:39 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:33390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nduLN-00071g-Jt
 for 54852 <at> debbugs.gnu.org; Mon, 11 Apr 2022 09:44:38 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id HRkc270064UW6Th01Rkced; Mon, 11 Apr 2022 15:44:36 +0200
Message-ID: <a9a9a72c96edccc26d7f7c4df09f5b12d5daec8a.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
Date: Mon, 11 Apr 2022 15:44:36 +0200
In-Reply-To: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-59rQVWroaz+PRBnukR7m"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649684676; bh=J2p0mWm59ojEddRTONT/MxVtLyCKdBANEwhLjaQgt5I=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=KdgbpA4DtBzGay/m6WDwEBiuuiCLGfk24J5TFWNJS2kb79mtVfeZqEPLoGq0NykY3
 mwCi9AMlwJn5OvmsRSgxEz89EW/DF8vUwkgBrqmqqNfjxyPenr2V3wOzC6JEJluQ+f
 dlRO9u8W36+enQ+7+HUUVDvmQgEvYUUlgGIForiBrTivc1pvqDK2Hg7BourkxdGqa2
 cELdjlj9ZtE6HsS1PVvbkwOQ1Oh/vCDYPIIxAOvzd1agWbO8UZ2v5VUJ+L1MCfO7jr
 R27wPjhCNPwDrgrgi3fGPRn0KVHVq5wEX/RK6FhPggWDkciBp9jsOpDTiivjiuElbs
 esxXIu+Ecmjlg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-59rQVWroaz+PRBnukR7m
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

Um9zdGlzbGF2IFN2b2JvZGEgc2NocmVlZiBvcCBtYSAxMS0wNC0yMDIyIG9tIDE0OjUzIFsrMDIw
MF06Cj4gK8KgwqDCoCAoYXJndW1lbnRzCj4gK8KgwqDCoMKgIChzdWJzdGl0dXRlLWtleXdvcmQt
YXJndW1lbnRzIChwYWNrYWdlLWFyZ3VtZW50cyBvcGVuamRrMTYpCj4gK8KgwqDCoMKgwqDCoCAo
KCM6cGhhc2VzIHBoYXNlcykKPiArwqDCoMKgwqDCoMKgwqAgYChtb2RpZnktcGhhc2VzICxwaGFz
ZXMKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqAgKHJlcGxhY2UgJ2ZpeC1qYXZhLXNoZWJhbmdzCj4g
K8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFtYmRhIF8KPiArwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoCA7OyBUaGlzIGZpbGUgd2FzICJmaXhlZCIgYnkgcGF0Y2gtc291cmNlLXNoZWJh
bmdzLCBidXQgaXQgcmVxdWlyZXMKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCA7OyB0
aGlzIGV4YWN0IGZpcnN0IGxpbmUuCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKHN1
YnN0aXR1dGUqICJtYWtlL2RhdGEvYmxvY2tlZGNlcnRzY29udmVydGVyL2Jsb2NrZWQuY2VydHMu
cGVtIgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoKCJeIyEuKiIpICIjISBq
YXZhIEJsb2NrZWRDZXJ0c0NvbnZlcnRlciBTSEEtMjU2XG4iKSkpKSkpKSkKCldoeSBpcyB0aGlz
IGR1cGxpY2F0ZWQ/ICBJdCBpcyBleGFjdGx5IHRoZSBzYW1lIHBoYXNlIGFzIGZvciBvcGVuamRr
MTcsCnNvIGluaGVyaXQgc2hvdWxkIHRha2UgY2FyZSBvZiBpdC4KCkdyZWV0aW5ncywKTWF4aW1l
Lgo=


--=-59rQVWroaz+PRBnukR7m
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlQwxBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sazAQCB36oMFOg8JWudeEclu9vkeQyS
SdTuLgZY6gb56BIjUAEAqKiYOjuy4VpCRjtUAlm+9hxnKN/Ggb0Xv9eDTHwYewM=
=DLrE
-----END PGP SIGNATURE-----

--=-59rQVWroaz+PRBnukR7m--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at 54852 <at> debbugs.gnu.org:


Received: (at 54852) by debbugs.gnu.org; 11 Apr 2022 13:43:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 11 09:43:21 2022
Received: from localhost ([127.0.0.1]:43097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nduK8-0006zc-Uk
	for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 09:43:21 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:49304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nduK7-0006zT-01
 for 54852 <at> debbugs.gnu.org; Mon, 11 Apr 2022 09:43:19 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by xavier.telenet-ops.be with bizsmtp
 id HRjG2700d4UW6Th01RjHqS; Mon, 11 Apr 2022 15:43:17 +0200
Message-ID: <e781bf550c921f40077881903271a6e09d01837f.camel@HIDDEN>
Subject: Re: [bug#54852] [PATCH] gnu: Add openjdk18.
From: Maxime Devos <maximedevos@HIDDEN>
To: Rostislav Svoboda <rostislav.svoboda@HIDDEN>, 54852 <at> debbugs.gnu.org
Date: Mon, 11 Apr 2022 15:43:12 +0200
In-Reply-To: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
References: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-OLagnzrU+rs54Zj9z8lc"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649684597; bh=kp3kewMcfwcWHJQa/bwGwb/xe2taGcAx9mjc1UWrsu0=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=fvGWyIKxdoxWivjMwOM7HgSub09JolaMwEgYyRyMkk6l4RAmz7STCaZiGhB2PSnTx
 Zcj3zexUSdkRl/ZCYmxzH4ydgDe+dJZyaVQhv9ZnqRA1Oy9zpz4PuaJzKbe8PpRWHn
 5pIckoQ2EAu/+kxb/HkdonMiYZYJ1bq8pyhYWThrqJJtRVByBLLRB5sB5U2nwWQD/B
 RSqB+oLwlxvHLoA/zVC1Zj/YOsW2FZb8PNALKZIlP6WX0KoMb9WcuCSywBEddpmhw+
 vh5zBflHlivbSS+3lNHfCvkqlcQJHxkjw8yaW22OdtK9/wwWBAHK6VMBky32p5RNMG
 r+WDWcjOiG6iA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54852
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-OLagnzrU+rs54Zj9z8lc
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Rostislav Svoboda schreef op ma 11-04-2022 om 14:53 [+0200]:
> +=C2=A0=C2=A0=C2=A0 (native-inputs
> +=C2=A0=C2=A0=C2=A0=C2=A0 `(("autoconf" ,autoconf)
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ("openjdk17:jdk" ,openjdk17 "jdk")

Does it need openjdk17 to build, or would openjdk16 suffice?
That would avoid increasing the bootstrap chain length.

Greetings,
MAxime.

--=-OLagnzrU+rs54Zj9z8lc
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlQwcBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qzUAQC7Th1Mm2AiDgIiKKm7vnvfRyQr
2hE3698rqHQwH+ZQkAD/chhD3g9c/oPm3KeB63WAQDY3Ntqi5rseytBtAC3EYQ8=
=JLzp
-----END PGP SIGNATURE-----

--=-OLagnzrU+rs54Zj9z8lc--





Information forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Apr 2022 12:54:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 11 08:54:12 2022
Received: from localhost ([127.0.0.1]:43034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndtYL-0005n9-5a
	for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 08:54:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:45220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rostislav.svoboda@HIDDEN>) id 1ndtYJ-0005n0-7z
 for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 08:53:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34042)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rostislav.svoboda@HIDDEN>)
 id 1ndtYI-00054E-W5
 for guix-patches@HIDDEN; Mon, 11 Apr 2022 08:53:55 -0400
Received: from mail-ej1-x62a.google.com ([2a00:1450:4864:20::62a]:43716)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rostislav.svoboda@HIDDEN>)
 id 1ndtYH-0001pX-1U
 for guix-patches@HIDDEN; Mon, 11 Apr 2022 08:53:54 -0400
Received: by mail-ej1-x62a.google.com with SMTP id g18so5700857ejc.10
 for <guix-patches@HIDDEN>; Mon, 11 Apr 2022 05:53:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=NKTmFNZkGeSs/ReIQdlynZItcukBNUbhLAJsWD59tKk=;
 b=gnu1B9NHgEBcGjizrvjHgeK98MEDpoZgTM80HBhEVJOgYXTXvuqtxTjFDX16Q3Mtsw
 7iUMp9uBTr4lNvwdoYUMB/nzp+aExP1+SJXt7Jg2Vfxcom6EnujplVV88dUBBgzw16X9
 V1JFyabQd1BhIJt6WchBMoxtutJXPpEfyAk1fDlnZAVNXhJM+0UrT4IHPPqiEsuh3N/F
 w4/5abgQgTDwkE1p115Pbs4eXDsajpl5TBz9S4aR4JhSp2ILv7FkU+Aqdzw+G8Xibdwd
 HmZZgjqXt0BBumvIGfAiDd4qI5b5V67RmQoI5hqkMyjmE0NM0GPMW993y++FTpCPUz9y
 78Tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=NKTmFNZkGeSs/ReIQdlynZItcukBNUbhLAJsWD59tKk=;
 b=dn98kPuNfGYIh+a+K2s2XjFZGw+Mx7Qci2TSh01DAygfzyxxkChu2Z04cwlSlwOJGx
 57vXuu4W2+VQBkpggQzXt9izu5f901f9Jm6WxG1t9a6oU9NTy/yWxu9NByXdxxJFdpCi
 chCEMXSGSuXinfKDtKLEt7NLs+n7yRUmIIw7xtXXNyRONimjNtcctlkR0fVC4UOU/pN+
 JGkzoGTl1zVB11vi4frUi2loVbehekxbahYDi5Fl5G5qptppBT8fIOxxEcsulgUiot3j
 yBoCfNCr83DXAp2435DZfzOIPa7cPI2P3HiA9WiURnGyhiF+nAHTsW9EjPPS6LeCFqFR
 Pmnw==
X-Gm-Message-State: AOAM533NP5EPdeXE+u5Y57UcmBsgHXfIKFtPXK8bW5R6cnaUK5AkXxmy
 hzIOTt/4i7ZgksOZJXOOBv4w6IYN/08=
X-Google-Smtp-Source: ABdhPJyfknxpzsh+1Fk5aDzSihsdyqRoYosrvospXMPCjegqBWA8bd5VCAcbRJEV/5B999cJ93d20A==
X-Received: by 2002:a17:906:3a15:b0:6cf:ea4e:a1cc with SMTP id
 z21-20020a1709063a1500b006cfea4ea1ccmr30844987eje.753.1649681630487; 
 Mon, 11 Apr 2022 05:53:50 -0700 (PDT)
Received: from ecke.fritz.box
 (dynamic-077-190-191-076.77.190.pool.telefonica.de. [77.190.191.76])
 by smtp.googlemail.com with ESMTPSA id
 e26-20020a50ec9a000000b004193fe50151sm15527926edr.9.2022.04.11.05.53.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Apr 2022 05:53:49 -0700 (PDT)
From: Rostislav Svoboda <rostislav.svoboda@HIDDEN>
X-Google-Original-From: Rostislav Svoboda <Rostislav.Svoboda@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add openjdk18.
Date: Mon, 11 Apr 2022 14:53:35 +0200
Message-Id: <20220411125335.4047-1-Rostislav.Svoboda@HIDDEN>
X-Mailer: git-send-email 2.35.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::62a;
 envelope-from=rostislav.svoboda@HIDDEN; helo=mail-ej1-x62a.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Rostislav Svoboda <Rostislav.Svoboda@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

---
 gnu/packages/java.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 6738b5dc35..10c84d2973 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -2263,6 +2263,39 @@ (define-public openjdk17
                  (("^#!.*") "#! java BlockedCertsConverter SHA-256\n"))))))))
     (home-page "https://openjdk.java.net/projects/jdk/17")))
 
+(define-public openjdk18
+  (package
+    (inherit openjdk17)
+    (name "openjdk")
+    (version "18")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/openjdk/jdk18u")
+                    (commit (string-append "jdk-" version "-ga"))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1bv6bdhkmwvn10l0xy8yi9xibds640hs5zsvx0jp7wrxa3qw4qy8"))))
+    (native-inputs
+     `(("autoconf" ,autoconf)
+       ("openjdk17:jdk" ,openjdk17 "jdk")
+       ("pkg-config" ,pkg-config)
+       ("unzip" ,unzip)
+       ("which" ,which)
+       ("zip" ,zip)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments openjdk16)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'fix-java-shebangs
+             (lambda _
+               ;; This file was "fixed" by patch-source-shebangs, but it requires
+               ;; this exact first line.
+               (substitute* "make/data/blockedcertsconverter/blocked.certs.pem"
+                 (("^#!.*") "#! java BlockedCertsConverter SHA-256\n"))))))))
+    (home-page "https://openjdk.java.net/projects/jdk/18")))
+
 (define-public icedtea icedtea-8)
 
 
-- 
2.35.1





Acknowledgement sent to Rostislav Svoboda <rostislav.svoboda@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54852; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 May 2022 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.